window.Gleam.initSearch([{"doc":"gledo","title":"gledo","content":"# gledo\n\n[![Package Version](https://img.shields.io/hexpm/v/gledo)](https://hex.pm/packages/gledo)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/gledo/)\n\nGleam decode Option\n\n```sh\ngleam add gledo\n```\n\n```gleam\nimport gledo\n\npub fn main() {\n  Some(123) |&gt; dynamic.from |&gt; gledo.decode_option // Ok(Some(123))\n\n  None |&gt; dynamic.from |&gt; gledo.decode_option // Ok(None)\n\n  123 |&gt; dynamic.from |&gt; gledo.decode_option // Error([DecodeError(&quot;Option&quot;, &quot;Int&quot;, [])])\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/gledo&gt;.\n\n## Why not stdlib dynamic.optional?\n\n`dynamic.optional` from stdlib has permissive design and will successfully decode any value.&lt;br/&gt;\nIf need to have strict decoding for `Option` value only, feel free to use **gledo**\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\ngleam shell # Run an Erlang shell\n```\n","url":"index.html"},{"doc":"gledo","title":"decode_option","content":"pub fn decode_option(\n  x: Dynamic,\n) -&gt; Result(Option(Dynamic), List(DecodeError))\n\nSynonyms:\ngledo.decode_option\ngledo decode_option","url":"gledo.html#decode_option"},{"doc":"gledo","title":"gledo","content":"","url":"gledo.html"}]);